<html>
<head>
<title>OgreAutoParamDataSource.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreAutoParamDataSource.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreAutoParamDataSource_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __AutoParamDataSource_H_</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __AutoParamDataSource_H_</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreCommon_8h.html">OgreCommon.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreMatrix4_8h.html">OgreMatrix4.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreVector4_8h.html">OgreVector4.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreLight_8h.html">OgreLight.h</a>&quot;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &quot;<a class="code" href="OgreColourValue_8h.html">OgreColourValue.h</a>&quot;</span>
<a name="l00037"></a>00037 
<a name="l00038"></a>00038 <span class="keyword">namespace </span>Ogre {
<a name="l00039"></a>00039 
<a name="l00040"></a>00040     <span class="comment">// forward decls</span>
<a name="l00041"></a>00041     <span class="keyword">struct </span>VisibleObjectsBoundsInfo;
<a name="l00060"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html">00060</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1AutoParamDataSource.html" title="This utility class is used to hold the information used to generate the matrices and other informatio...">AutoParamDataSource</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">SceneMgtAlloc</a>
<a name="l00061"></a>00061     {
<a name="l00062"></a>00062     <span class="keyword">protected</span>:
<a name="l00063"></a>00063         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Light.html" title="Representation of a dynamic light source in the scene.">Light</a>&amp; getLight(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00064"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#adaae7bee975ff4fdca0a98fc65ba635c">00064</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> mWorldMatrix[256];
<a name="l00065"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a5475057984621be6b677fdc3089d7c8e">00065</a>         <span class="keyword">mutable</span> <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a5475057984621be6b677fdc3089d7c8e">mWorldMatrixCount</a>;
<a name="l00066"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a00fd70ad8d8ec1295fba7d5719cc43cb">00066</a>         <span class="keyword">mutable</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>* <a class="code" href="classOgre_1_1AutoParamDataSource.html#a00fd70ad8d8ec1295fba7d5719cc43cb">mWorldMatrixArray</a>;
<a name="l00067"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a6f88ea273002a87993a092cb181a032b">00067</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a6f88ea273002a87993a092cb181a032b">mWorldViewMatrix</a>;
<a name="l00068"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#aa53eb62e5506a7fcd607f54e4fd6b6f0">00068</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> <a class="code" href="classOgre_1_1AutoParamDataSource.html#aa53eb62e5506a7fcd607f54e4fd6b6f0">mViewProjMatrix</a>;
<a name="l00069"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#afd565bde1e47d2b7b9bfc38b39382736">00069</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> <a class="code" href="classOgre_1_1AutoParamDataSource.html#afd565bde1e47d2b7b9bfc38b39382736">mWorldViewProjMatrix</a>;
<a name="l00070"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#abc694abd21cb00bcea6210633cf94dec">00070</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> <a class="code" href="classOgre_1_1AutoParamDataSource.html#abc694abd21cb00bcea6210633cf94dec">mInverseWorldMatrix</a>;
<a name="l00071"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a6f5d74350e85d8c5ff684f19f783c884">00071</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a6f5d74350e85d8c5ff684f19f783c884">mInverseWorldViewMatrix</a>;
<a name="l00072"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a6727f2aad13b4e01b3e05e8a521eb691">00072</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a6727f2aad13b4e01b3e05e8a521eb691">mInverseViewMatrix</a>;
<a name="l00073"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#aba79772027b242e135e11393f3b03acc">00073</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> <a class="code" href="classOgre_1_1AutoParamDataSource.html#aba79772027b242e135e11393f3b03acc">mInverseTransposeWorldMatrix</a>;
<a name="l00074"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a76fc4caa70d95d5c6d46b08d07dbee2e">00074</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a76fc4caa70d95d5c6d46b08d07dbee2e">mInverseTransposeWorldViewMatrix</a>;
<a name="l00075"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a2c1a2ac2b037bf2f93149e293fed1859">00075</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a2c1a2ac2b037bf2f93149e293fed1859">mCameraPosition</a>;
<a name="l00076"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#aae7426fa26e634a6d99184772db63d12">00076</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a> <a class="code" href="classOgre_1_1AutoParamDataSource.html#aae7426fa26e634a6d99184772db63d12">mCameraPositionObjectSpace</a>;
<a name="l00077"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a8cfea82347259129731b01c3d99ebbdc">00077</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> mTextureViewProjMatrix[<a class="code" href="OgreConfig_8h.html#a3d20e242d4a6aab7de105d85608b286a" title="Define max number of lights allowed per pass.">OGRE_MAX_SIMULTANEOUS_LIGHTS</a>];
<a name="l00078"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a0a5992148a6145d4e2953c798a818ad2">00078</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> mTextureWorldViewProjMatrix[<a class="code" href="OgreConfig_8h.html#a3d20e242d4a6aab7de105d85608b286a" title="Define max number of lights allowed per pass.">OGRE_MAX_SIMULTANEOUS_LIGHTS</a>];
<a name="l00079"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a5a12b27954fcbc705397172ca53759f9">00079</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> mSpotlightViewProjMatrix[<a class="code" href="OgreConfig_8h.html#a3d20e242d4a6aab7de105d85608b286a" title="Define max number of lights allowed per pass.">OGRE_MAX_SIMULTANEOUS_LIGHTS</a>];
<a name="l00080"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a20f95cd07437afd316732b8baf238613">00080</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> mSpotlightWorldViewProjMatrix[<a class="code" href="OgreConfig_8h.html#a3d20e242d4a6aab7de105d85608b286a" title="Define max number of lights allowed per pass.">OGRE_MAX_SIMULTANEOUS_LIGHTS</a>];
<a name="l00081"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a794485e58a85cec2c43f36db2dafe668">00081</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a> mShadowCamDepthRanges[<a class="code" href="OgreConfig_8h.html#a3d20e242d4a6aab7de105d85608b286a" title="Define max number of lights allowed per pass.">OGRE_MAX_SIMULTANEOUS_LIGHTS</a>];
<a name="l00082"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a7493997a85bc7cd3c4d29f8cf4b00fc4">00082</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a7493997a85bc7cd3c4d29f8cf4b00fc4">mViewMatrix</a>;
<a name="l00083"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#ac09951d6ff0e050aaf2a3efb58438506">00083</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> <a class="code" href="classOgre_1_1AutoParamDataSource.html#ac09951d6ff0e050aaf2a3efb58438506">mProjectionMatrix</a>;
<a name="l00084"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a87de09e3a7843cf30376982ddbfe07aa">00084</a>         <span class="keyword">mutable</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a87de09e3a7843cf30376982ddbfe07aa">mDirLightExtrusionDistance</a>;
<a name="l00085"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#acaa5514cc32bfdd475d357f645e5d60f">00085</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a> <a class="code" href="classOgre_1_1AutoParamDataSource.html#acaa5514cc32bfdd475d357f645e5d60f">mLodCameraPosition</a>;
<a name="l00086"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#aec73a6f7b9cd086e7292cda1af3f7f58">00086</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a> <a class="code" href="classOgre_1_1AutoParamDataSource.html#aec73a6f7b9cd086e7292cda1af3f7f58">mLodCameraPositionObjectSpace</a>;
<a name="l00087"></a>00087 
<a name="l00088"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a1e648d995ef5fa2357b2a69f6bee6c57">00088</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a1e648d995ef5fa2357b2a69f6bee6c57">mWorldMatrixDirty</a>;
<a name="l00089"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a48bd457f1413a296038aa75b60b0c7ef">00089</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a48bd457f1413a296038aa75b60b0c7ef">mViewMatrixDirty</a>;
<a name="l00090"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a9996aa76d703024e14b1dae58a276554">00090</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a9996aa76d703024e14b1dae58a276554">mProjMatrixDirty</a>;
<a name="l00091"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#ade77d795af197569be64b9a8480a0a5c">00091</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1AutoParamDataSource.html#ade77d795af197569be64b9a8480a0a5c">mWorldViewMatrixDirty</a>;
<a name="l00092"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#acfabd64286ae06893e26458f6c3d1e5e">00092</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1AutoParamDataSource.html#acfabd64286ae06893e26458f6c3d1e5e">mViewProjMatrixDirty</a>;
<a name="l00093"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a26d965496b85c4c24d7bf578e9a9622e">00093</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a26d965496b85c4c24d7bf578e9a9622e">mWorldViewProjMatrixDirty</a>;
<a name="l00094"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a1020ba5d99e74e7ceb028bff03a1e6ac">00094</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a1020ba5d99e74e7ceb028bff03a1e6ac">mInverseWorldMatrixDirty</a>;
<a name="l00095"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#acf76839f9daf28d085ed52a780507deb">00095</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1AutoParamDataSource.html#acf76839f9daf28d085ed52a780507deb">mInverseWorldViewMatrixDirty</a>;
<a name="l00096"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#aaae43d2aab87dd2945357b48f30d19fe">00096</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1AutoParamDataSource.html#aaae43d2aab87dd2945357b48f30d19fe">mInverseViewMatrixDirty</a>;
<a name="l00097"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#aa1a8c972bbad993d5a306c1ce915fdee">00097</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1AutoParamDataSource.html#aa1a8c972bbad993d5a306c1ce915fdee">mInverseTransposeWorldMatrixDirty</a>;
<a name="l00098"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#aca956e6988e4ca69059306f2076ee06b">00098</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1AutoParamDataSource.html#aca956e6988e4ca69059306f2076ee06b">mInverseTransposeWorldViewMatrixDirty</a>;
<a name="l00099"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a703c9886486471bf4c288177ce3aa878">00099</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a703c9886486471bf4c288177ce3aa878">mCameraPositionDirty</a>;
<a name="l00100"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a38773cdcb2be2994dac9245c0dbf5c78">00100</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a38773cdcb2be2994dac9245c0dbf5c78">mCameraPositionObjectSpaceDirty</a>;
<a name="l00101"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a63ad780368d95a9b942398d1ae7420cf">00101</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> mTextureViewProjMatrixDirty[<a class="code" href="OgreConfig_8h.html#a3d20e242d4a6aab7de105d85608b286a" title="Define max number of lights allowed per pass.">OGRE_MAX_SIMULTANEOUS_LIGHTS</a>];
<a name="l00102"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a1aeaa418d8a816f3beb19be857b11924">00102</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> mTextureWorldViewProjMatrixDirty[<a class="code" href="OgreConfig_8h.html#a3d20e242d4a6aab7de105d85608b286a" title="Define max number of lights allowed per pass.">OGRE_MAX_SIMULTANEOUS_LIGHTS</a>];
<a name="l00103"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a226c07193ff69a9f9c1abf6733359592">00103</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> mSpotlightViewProjMatrixDirty[<a class="code" href="OgreConfig_8h.html#a3d20e242d4a6aab7de105d85608b286a" title="Define max number of lights allowed per pass.">OGRE_MAX_SIMULTANEOUS_LIGHTS</a>];
<a name="l00104"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a07be2554c4161e9fa4213c0602830605">00104</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> mSpotlightWorldViewProjMatrixDirty[<a class="code" href="OgreConfig_8h.html#a3d20e242d4a6aab7de105d85608b286a" title="Define max number of lights allowed per pass.">OGRE_MAX_SIMULTANEOUS_LIGHTS</a>];
<a name="l00105"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a82cf318657838af3bc42f9233b1ba5ab">00105</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> mShadowCamDepthRangesDirty[<a class="code" href="OgreConfig_8h.html#a3d20e242d4a6aab7de105d85608b286a" title="Define max number of lights allowed per pass.">OGRE_MAX_SIMULTANEOUS_LIGHTS</a>];
<a name="l00106"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a15b5089a287b6d463ab953e938c160a3">00106</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a15b5089a287b6d463ab953e938c160a3">mAmbientLight</a>;
<a name="l00107"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a9572200e6bd9c2f2e44cce8347d2c232">00107</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a9572200e6bd9c2f2e44cce8347d2c232">mFogColour</a>;
<a name="l00108"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a7052703d0cde3b6daee0eba29511b947">00108</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a7052703d0cde3b6daee0eba29511b947">mFogParams</a>;
<a name="l00109"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#aa914d02ddbbcb9a2894c8a25418db256">00109</a>         <span class="keyword">mutable</span> <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1AutoParamDataSource.html#aa914d02ddbbcb9a2894c8a25418db256">mPassNumber</a>;
<a name="l00110"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a5847f45e9fc4213239b9a14079b4d819">00110</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a5847f45e9fc4213239b9a14079b4d819">mSceneDepthRange</a>;
<a name="l00111"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a60a3e8d8caba35ff0838ae26300d3613">00111</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a60a3e8d8caba35ff0838ae26300d3613">mSceneDepthRangeDirty</a>;
<a name="l00112"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a45afab01a404dcc3ef8774818a7614ab">00112</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a45afab01a404dcc3ef8774818a7614ab">mLodCameraPositionDirty</a>;
<a name="l00113"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#ae5e138cdadd8d9abfe55f7e6fd99b94b">00113</a>         <span class="keyword">mutable</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1AutoParamDataSource.html#ae5e138cdadd8d9abfe55f7e6fd99b94b">mLodCameraPositionObjectSpaceDirty</a>;
<a name="l00114"></a>00114 
<a name="l00115"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a9f6eb7539f37a63ca8e789956c57cafb">00115</a>         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>* <a class="code" href="classOgre_1_1AutoParamDataSource.html#a9f6eb7539f37a63ca8e789956c57cafb">mCurrentRenderable</a>;
<a name="l00116"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#ab58602353b71bcbb0b3de514d91f3d1a">00116</a>         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* <a class="code" href="classOgre_1_1AutoParamDataSource.html#ab58602353b71bcbb0b3de514d91f3d1a">mCurrentCamera</a>;
<a name="l00117"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#ada02f627606c38581aa81b5a15205864">00117</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1AutoParamDataSource.html#ada02f627606c38581aa81b5a15205864">mCameraRelativeRendering</a>;
<a name="l00118"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a68e512220dc1614f9bd57e19a18ce890">00118</a>         <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a68e512220dc1614f9bd57e19a18ce890">mCameraRelativePosition</a>;
<a name="l00119"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a3478608a12c051fb08d1ae544959a4b3">00119</a>         <span class="keyword">const</span> <a class="code" href="classOgre_1_1HashedVector.html">LightList</a>* <a class="code" href="classOgre_1_1AutoParamDataSource.html#a3478608a12c051fb08d1ae544959a4b3">mCurrentLightList</a>;
<a name="l00120"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#ab925f1d932c6d23d0ceffadcb67d2c49">00120</a>         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Frustum.html" title="A frustum represents a pyramid, capped at the near and far end which is used to represent either a vi...">Frustum</a>* mCurrentTextureProjector[<a class="code" href="OgreConfig_8h.html#a3d20e242d4a6aab7de105d85608b286a" title="Define max number of lights allowed per pass.">OGRE_MAX_SIMULTANEOUS_LIGHTS</a>];
<a name="l00121"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a2547bbc00657002d69a0460fe21671ae">00121</a>         <span class="keyword">const</span> <a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>* <a class="code" href="classOgre_1_1AutoParamDataSource.html#a2547bbc00657002d69a0460fe21671ae">mCurrentRenderTarget</a>;
<a name="l00122"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a876629472fc8dc17bb3c76e55bdc4922">00122</a>         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>* <a class="code" href="classOgre_1_1AutoParamDataSource.html#a876629472fc8dc17bb3c76e55bdc4922">mCurrentViewport</a>;
<a name="l00123"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a6ab62aa184afb708aae8beba9023a6be">00123</a>         <span class="keyword">const</span> <a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>* <a class="code" href="classOgre_1_1AutoParamDataSource.html#a6ab62aa184afb708aae8beba9023a6be">mCurrentSceneManager</a>;
<a name="l00124"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#ad05574fed3bd4a05aba521506ca2f899">00124</a>         <span class="keyword">const</span> <a class="code" href="structOgre_1_1VisibleObjectsBoundsInfo.html" title="Structure collecting together information about the visible objects that have been discovered in a sc...">VisibleObjectsBoundsInfo</a>* <a class="code" href="classOgre_1_1AutoParamDataSource.html#ad05574fed3bd4a05aba521506ca2f899">mMainCamBoundsInfo</a>;
<a name="l00125"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#aacfbc1ee3cafe13db7ecd0ee61bc47a4">00125</a>         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a>* <a class="code" href="classOgre_1_1AutoParamDataSource.html#aacfbc1ee3cafe13db7ecd0ee61bc47a4">mCurrentPass</a>;
<a name="l00126"></a>00126 
<a name="l00127"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#ad5f08abf697512c6d579645dee7a5d13">00127</a>         <a class="code" href="classOgre_1_1Light.html" title="Representation of a dynamic light source in the scene.">Light</a> <a class="code" href="classOgre_1_1AutoParamDataSource.html#ad5f08abf697512c6d579645dee7a5d13">mBlankLight</a>;
<a name="l00128"></a>00128     <span class="keyword">public</span>:
<a name="l00129"></a>00129         <a class="code" href="classOgre_1_1AutoParamDataSource.html" title="This utility class is used to hold the information used to generate the matrices and other informatio...">AutoParamDataSource</a>();
<a name="l00130"></a>00130         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1AutoParamDataSource.html" title="This utility class is used to hold the information used to generate the matrices and other informatio...">AutoParamDataSource</a>();
<a name="l00132"></a>00132         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setCurrentRenderable(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>* rend);
<a name="l00134"></a>00134         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setWorldMatrices(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>* m, <span class="keywordtype">size_t</span> count);
<a name="l00136"></a>00136         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setCurrentCamera(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* cam, <span class="keywordtype">bool</span> useCameraRelative);
<a name="l00138"></a>00138         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setCurrentLightList(<span class="keyword">const</span> <a class="code" href="classOgre_1_1HashedVector.html">LightList</a>* ll);
<a name="l00140"></a>00140         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setTextureProjector(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Frustum.html" title="A frustum represents a pyramid, capped at the near and far end which is used to represent either a vi...">Frustum</a>* frust, <span class="keywordtype">size_t</span> index);
<a name="l00142"></a>00142         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setCurrentRenderTarget(<span class="keyword">const</span> <a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>* target);
<a name="l00144"></a>00144         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setCurrentViewport(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a>* viewport);
<a name="l00146"></a>00146         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setShadowDirLightExtrusionDistance(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> dist);
<a name="l00148"></a>00148         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setMainCamBoundsInfo(<a class="code" href="structOgre_1_1VisibleObjectsBoundsInfo.html" title="Structure collecting together information about the visible objects that have been discovered in a sc...">VisibleObjectsBoundsInfo</a>* info);
<a name="l00150"></a>00150         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setCurrentSceneManager(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>* sm);
<a name="l00152"></a>00152         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setCurrentPass(<span class="keyword">const</span> <a class="code" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a>* pass);
<a name="l00153"></a>00153 
<a name="l00154"></a>00154 
<a name="l00155"></a>00155 
<a name="l00156"></a>00156         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; getWorldMatrix(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00157"></a>00157         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>* getWorldMatrixArray(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00158"></a>00158         <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> getWorldMatrixCount(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00159"></a>00159         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; getViewMatrix(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00160"></a>00160         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; getViewProjectionMatrix(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00161"></a>00161         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; getProjectionMatrix(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00162"></a>00162         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; getWorldViewProjMatrix(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00163"></a>00163         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; getWorldViewMatrix(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00164"></a>00164         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; getInverseWorldMatrix(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00165"></a>00165         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; getInverseWorldViewMatrix(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00166"></a>00166         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; getInverseViewMatrix(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00167"></a>00167         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; getInverseTransposeWorldMatrix(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00168"></a>00168         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; getInverseTransposeWorldViewMatrix(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00169"></a>00169         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a>&amp; getCameraPosition(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00170"></a>00170         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a>&amp; getCameraPositionObjectSpace(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00171"></a>00171         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a>&amp; getLodCameraPosition(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00172"></a>00172         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a>&amp; getLodCameraPositionObjectSpace(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00173"></a><a class="code" href="classOgre_1_1AutoParamDataSource.html#a655fe8c084930cf12900877228b5d5fa">00173</a>         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1AutoParamDataSource.html#a655fe8c084930cf12900877228b5d5fa">hasLightList</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mCurrentLightList != 0; }
<a name="l00175"></a>00175         <span class="keyword">virtual</span> <span class="keywordtype">float</span> getLightNumber(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00176"></a>00176         <span class="keyword">virtual</span> <span class="keywordtype">float</span> getLightCount() <span class="keyword">const</span>;
<a name="l00177"></a>00177         <span class="keyword">virtual</span> <span class="keywordtype">float</span> getLightCastsShadows(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00178"></a>00178         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; getLightDiffuseColour(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00179"></a>00179         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; getLightSpecularColour(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00180"></a>00180         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> getLightDiffuseColourWithPower(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00181"></a>00181         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> getLightSpecularColourWithPower(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00182"></a>00182         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; getLightPosition(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00183"></a>00183         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a> getLightAs4DVector(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00184"></a>00184         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; getLightDirection(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00185"></a>00185         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getLightPowerScale(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00186"></a>00186         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a> getLightAttenuation(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00187"></a>00187         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a> getSpotlightParams(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00188"></a>00188         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setAmbientLightColour(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; ambient);
<a name="l00189"></a>00189         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; getAmbientLightColour(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00190"></a>00190         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; getSurfaceAmbientColour(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00191"></a>00191         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; getSurfaceDiffuseColour(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00192"></a>00192         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; getSurfaceSpecularColour(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00193"></a>00193         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; getSurfaceEmissiveColour(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00194"></a>00194         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getSurfaceShininess(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00195"></a>00195         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> getDerivedAmbientLightColour(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00196"></a>00196         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> getDerivedSceneColour(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00197"></a>00197         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setFog(<a class="code" href="group__General.html#ga83edeb2e5d33a3ca8f15834ba40020ba" title="Fog modes.">FogMode</a> mode, <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; colour, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> expDensity, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> linearStart, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> linearEnd);
<a name="l00198"></a>00198         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; getFogColour(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00199"></a>00199         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a>&amp; getFogParams(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00200"></a>00200         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; getTextureViewProjMatrix(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00201"></a>00201         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; getTextureWorldViewProjMatrix(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00202"></a>00202         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; getSpotlightViewProjMatrix(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00203"></a>00203         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; getSpotlightWorldViewProjMatrix(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00204"></a>00204         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>&amp; getTextureTransformMatrix(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00205"></a>00205         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>* getCurrentRenderTarget(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00206"></a>00206         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>* getCurrentRenderable(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00207"></a>00207         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a>* getCurrentPass(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00208"></a>00208         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a> getTextureSize(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00209"></a>00209         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a> getInverseTextureSize(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00210"></a>00210         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a> getPackedTextureSize(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00211"></a>00211         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getShadowExtrusionDistance(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00212"></a>00212         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a>&amp; getSceneDepthRange() <span class="keyword">const</span>;
<a name="l00213"></a>00213         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a>&amp; getShadowSceneDepthRange(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00214"></a>00214         <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a>&amp; getShadowColour() <span class="keyword">const</span>;
<a name="l00215"></a>00215         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> getInverseViewProjMatrix(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00216"></a>00216         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> getInverseTransposeViewProjMatrix() <span class="keyword">const</span>;
<a name="l00217"></a>00217         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> getTransposeViewProjMatrix() <span class="keyword">const</span>;
<a name="l00218"></a>00218         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> getTransposeViewMatrix() <span class="keyword">const</span>;
<a name="l00219"></a>00219         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> getInverseTransposeViewMatrix() <span class="keyword">const</span>;
<a name="l00220"></a>00220         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> getTransposeProjectionMatrix() <span class="keyword">const</span>;
<a name="l00221"></a>00221         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> getInverseProjectionMatrix() <span class="keyword">const</span>;
<a name="l00222"></a>00222         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> getInverseTransposeProjectionMatrix() <span class="keyword">const</span>;
<a name="l00223"></a>00223         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> getTransposeWorldViewProjMatrix() <span class="keyword">const</span>;
<a name="l00224"></a>00224         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> getInverseWorldViewProjMatrix() <span class="keyword">const</span>;
<a name="l00225"></a>00225         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> getInverseTransposeWorldViewProjMatrix() <span class="keyword">const</span>;
<a name="l00226"></a>00226         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> getTransposeWorldViewMatrix() <span class="keyword">const</span>;
<a name="l00227"></a>00227         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> getTransposeWorldMatrix() <span class="keyword">const</span>;
<a name="l00228"></a>00228         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getTime(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00229"></a>00229         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getTime_0_X(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> x) <span class="keyword">const</span>;
<a name="l00230"></a>00230         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getCosTime_0_X(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> x) <span class="keyword">const</span>;
<a name="l00231"></a>00231         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getSinTime_0_X(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> x) <span class="keyword">const</span>;
<a name="l00232"></a>00232         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getTanTime_0_X(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> x) <span class="keyword">const</span>;
<a name="l00233"></a>00233         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a> getTime_0_X_packed(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> x) <span class="keyword">const</span>;
<a name="l00234"></a>00234         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getTime_0_1(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> x) <span class="keyword">const</span>;
<a name="l00235"></a>00235         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getCosTime_0_1(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> x) <span class="keyword">const</span>;
<a name="l00236"></a>00236         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getSinTime_0_1(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> x) <span class="keyword">const</span>;
<a name="l00237"></a>00237         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getTanTime_0_1(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> x) <span class="keyword">const</span>;
<a name="l00238"></a>00238         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a> getTime_0_1_packed(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> x) <span class="keyword">const</span>;
<a name="l00239"></a>00239         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getTime_0_2Pi(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> x) <span class="keyword">const</span>;
<a name="l00240"></a>00240         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getCosTime_0_2Pi(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> x) <span class="keyword">const</span>;
<a name="l00241"></a>00241         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getSinTime_0_2Pi(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> x) <span class="keyword">const</span>;
<a name="l00242"></a>00242         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getTanTime_0_2Pi(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> x) <span class="keyword">const</span>;
<a name="l00243"></a>00243         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Vector4.html" title="4-dimensional homogeneous vector.">Vector4</a> getTime_0_2Pi_packed(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> x) <span class="keyword">const</span>;
<a name="l00244"></a>00244         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getFrameTime(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00245"></a>00245         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getFPS() <span class="keyword">const</span>;
<a name="l00246"></a>00246         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getViewportWidth() <span class="keyword">const</span>;
<a name="l00247"></a>00247         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getViewportHeight() <span class="keyword">const</span>;
<a name="l00248"></a>00248         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getInverseViewportWidth() <span class="keyword">const</span>;
<a name="l00249"></a>00249         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getInverseViewportHeight() <span class="keyword">const</span>;
<a name="l00250"></a>00250         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> getViewDirection() <span class="keyword">const</span>;
<a name="l00251"></a>00251         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> getViewSideVector() <span class="keyword">const</span>;
<a name="l00252"></a>00252         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> getViewUpVector() <span class="keyword">const</span>;
<a name="l00253"></a>00253         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getFOV() <span class="keyword">const</span>;
<a name="l00254"></a>00254         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getNearClipDistance() <span class="keyword">const</span>;
<a name="l00255"></a>00255         <span class="keyword">virtual</span> <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getFarClipDistance() <span class="keyword">const</span>;
<a name="l00256"></a>00256         <span class="keyword">virtual</span> <span class="keywordtype">int</span> getPassNumber(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00257"></a>00257         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setPassNumber(<span class="keyword">const</span> <span class="keywordtype">int</span> passNumber);
<a name="l00258"></a>00258         <span class="keyword">virtual</span> <span class="keywordtype">void</span> incPassNumber(<span class="keywordtype">void</span>);
<a name="l00259"></a>00259         <span class="keyword">virtual</span> <span class="keywordtype">void</span> updateLightCustomGpuParameter(<span class="keyword">const</span> <a class="code" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html" title="Structure recording the use of an automatic parameter.">GpuProgramParameters::AutoConstantEntry</a>&amp; constantEntry, <a class="code" href="classOgre_1_1GpuProgramParameters.html" title="Collects together the program parameters used for a GpuProgram.">GpuProgramParameters</a> *params) <span class="keyword">const</span>;
<a name="l00260"></a>00260     };
<a name="l00263"></a>00263 }
<a name="l00264"></a>00264 
<a name="l00265"></a>00265 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:49
</p>
</body>
</html>
